View Issue Details

IDProjectCategoryView StatusLast Update
0005327GNUnetcadet servicepublic2019-02-28 11:17
Reportercy1Assigned Toschanzen 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005327: cadet dump fails: driver could not delete task
Descriptiongnunet-cadet -d is producing nothing but the following error message:

May 14 16:45:04-823512 util-scheduler-1880 ERROR driver could not delete task
May 14 16:45:04-823573 gnunet-cadet-1880 ERROR Assertion failed at scheduler.c:980.
Aborted

Here's the relevant section of a gdb backtrace:

GNUNET_SCHEDULER_cancel (task=0x55555575d330) at scheduler.c:969 shutdown_task (cls=<optimized out>) at gnunet-cadet.c:223
GNUNET_SCHEDULER_do_work (sh=sh@entry=0x55555575c450) at scheduler.c:2106 select_loop (context=0x7fffffffd7e0, sh=0x55555575c450) at scheduler.c:2407 GNUNET_SCHEDULER_run (task=task@entry=0x7ffff79a2c30 <program_main>, task_cls=task_cls@entry=0x7fffffffd8b0) at scheduler.c:727
GNUNET_PROGRAM_run2 (argc=<optimized out>, argv=0x55555575ab80, binaryName=<optimized out>, binaryHelp=<optimized out>, options=<optimized out>,
    task=<optimized out>, task_cls=<optimized out>, run_without_scheduler=<optimized out>) at program.c:343
GNUNET_PROGRAM_run (argc=<optimized out>, argv=<optimized out>, binaryName=<optimized out>, binaryHelp=<optimized out>, options=<optimized out>,
    task=<optimized out>, task_cls=0x0) at program.c:385
Steps To Reproducegnunet-cadet -d
TagsNo tags attached.

Activities

schanzen

2018-06-23 15:30

developer   ~0013055

fixed in 00d1e9393a4814d64c6892fdb79a267e9137ee7e

Issue History

Date Modified Username Field Change
2018-05-14 19:00 cy1 New Issue
2018-05-14 19:00 cy1 Status new => assigned
2018-05-14 19:00 cy1 Assigned To => Bart Polot
2018-06-07 01:13 Christian Grothoff Assigned To Bart Polot =>
2018-06-07 01:13 Christian Grothoff Status assigned => confirmed
2018-06-23 15:23 schanzen Assigned To => schanzen
2018-06-23 15:23 schanzen Status confirmed => assigned
2018-06-23 15:30 schanzen Status assigned => resolved
2018-06-23 15:30 schanzen Resolution open => fixed
2018-06-23 15:30 schanzen Note Added: 0013055
2019-02-12 09:20 Christian Grothoff Target Version => 0.11.0
2019-02-20 12:24 Christian Grothoff Fixed in Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed